[IPython-user] IPython under Leopard

Brian Granger ellisonbg.net@gmail....
Thu Nov 1 15:23:07 CDT 2007


Hi,

I just committed Boyd Water's patches to get IPython working under
Leopard.  The Python 2.5.1 that comes with Leopard includes readline
support through the libedit library.  Libedit has a slightly different
config syntax, and IPython now takes this into account.

This means that the current svn of IPython will work work (with tab
completion) of Leopard out of the box.  Thanks to Boyd for this patch!

Enjoy and please let us know if you encounter other problems with
IPython on Leopard.

Brian


More information about the IPython-user mailing list